> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anyenrich.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Contact Enrichment

> Enrich contact information based on contact name or linkedin



## OpenAPI

````yaml POST /contact
openapi: 3.1.0
info:
  title: AnyEnrich API V1
  description: Enrich anything
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://anyenrich.com/v1/enrich
security:
  - bearerAuth: []
paths:
  /contact:
    post:
      description: Enrich contact information based on contact name or linkedin
      requestBody:
        description: Company enrichment object
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ContactEnrichmentRequest'
        required: true
      responses:
        '200':
          description: Contact enrichment response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactEnrichmentResponse'
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ContactEnrichmentRequest:
      type: object
      properties:
        linkedinIdentifier:
          type: string
          description: >-
            Linkedin Url of the contact you want to enrich. You must provide
            either linkedinIdentifier or nameIdentifier
          nullable: true
        nameIdentifier:
          type: object
          description: >-
            Name and company name of the contact you want to enrich. You must
            provide either linkedinIdentifier or nameIdentifier
          nullable: true
          properties:
            firstName:
              type: string
              description: First name of the contact you want to enrich
            lastName:
              type: string
              description: Last name of the contact you want to enrich
            companyName:
              type: string
              description: Company name the contact you want to enrich
            companyWebsite:
              type: string
              description: Company website the contact you want to enrich
        basicLinkedinInfo:
          type: boolean
          description: |-
            Request basic linkedin data for the contact you want to enrich.

            Consumes 1 credit.
          nullable: true
        email:
          type: boolean
          description: |-
            Request email for the contact.

            Consumes 2 credit if a valid email is found.
          nullable: true
        phone:
          type: boolean
          description: |-
            Request phone number for the contact.

            Consumes 10 credit if a valid phone number is found.
          nullable: true
        query:
          type: string
          description: >-
            Request AI queries you want to include in the enrichment request.
            You can use natural language to describe the query and our AI will
            do the rest.


            Consumes 1 Credit
          nullable: true
    ContactEnrichmentResponse:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the enrichment request
        status:
          type: string
          enum:
            - success
            - info_not_found
        credits_used:
          type: number
          description: Number of credits used for the enrichment request
        credits_remaining:
          type: number
          description: Number of credits remaining for the enrichment request
        basic_linkedin_data:
          type: object
          nullable: true
          description: Firmographic data that was enriched
          properties:
            linkedin_bio:
              type: string
              nullable: true
              description: >-
                Current linkedin bio for the contact, null if information not
                found
            linkedin_headline:
              type: string
              nullable: true
              description: >-
                Current linkedin headline for the contact, null if information
                not found
            linkedin_current_title:
              type: string
              nullable: true
              description: >-
                Current linkedin job title for the contact, null if information
                not found
            linkedin_current_company:
              type: string
              nullable: true
              description: >-
                Current linkedin company for the contact, null if information
                not found
            linkedin_job_description:
              type: string
              nullable: true
              description: >-
                Current linkedin job description for the contact, null if
                information not found
            linkedin_education:
              type: string
              nullable: true
              description: >-
                Current linkedin education information for the contact, null if
                information not found
        email:
          type: string
          nullable: true
          description: email for the contact
        phone:
          type: string
          nullable: true
          description: phone for the contact
        query_response:
          type: string
          description: >-
            Response to any additional enrichment queries, empty if no query was
            provided
          nullable: true
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````